WyrdOS
Open App

Pages

API endpoints for pages

List pages

GET /api/v1/pages

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
searchquerystringNo
typeIdquerystringNo
categoryIdquerystringNo
containerIdquerystringNo
folderIdquerystringNo
limitqueryintegerNo
cursorquerystringNoOpaque continuation token from a previous list response's nextCursor.

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/pages?organisationId=<organisationId>&search=<search>&typeId=<typeId>&categoryId=<categoryId>&containerId=<containerId>&folderId=<folderId>&limit=<limit>&cursor=<cursor>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "item_abc123",
      "name": "Launch readiness",
      "userId": "item_abc123",
      "organisationId": "org_abc123",
      "createdAt": 1782828000000,
      "updatedAt": 1782828000000
    }
  ],
  "nextCursor": "Launch readiness"
}

Other statuses: 401.

Response body type

{ data: PageMeta[]; nextCursor: string }


Create page

POST /api/v1/pages

Example request

curl -X POST \
"https://<your-wyrdos-api-host>/api/v1/pages" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","content":"Decision notes, owner context, and next actions.","organisationId":"org_abc123","containerId":"container_product","folderId":"item_abc123"}'

Other statuses: 401.

Response body type


Get page

GET /api/v1/pages/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes
includeContentquerystringNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/pages/<id>?includeContent=<includeContent>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 404.

Response body type


Update page

PATCH /api/v1/pages/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X PATCH \
"https://<your-wyrdos-api-host>/api/v1/pages/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","content":"Decision notes, owner context, and next actions.","folderId":"item_abc123"}'

Response body type


Delete page

DELETE /api/v1/pages/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X DELETE \
"https://<your-wyrdos-api-host>/api/v1/pages/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type